# Interface RcsbFv3DAssemblyInterface

#### Hierarchy

- RcsbFv3DAssemblyInterface

- Defined in RcsbFv3D/RcsbFv3DAssembly.tsx:25

#####
Index

### Properties

additionalConfig?
config
cssConfig?
elementId?
instanceSequenceConfig?
molstarProps?
useOperatorsFlag?

## Properties

### `Optional` additionalConfig

additionalConfig?: RcsbFv3DAssemblyAdditionalConfig

- Defined in RcsbFv3D/RcsbFv3DAssembly.tsx:33

### config

config: {
assemblyId?: string;
entryId: string;
subtitle?: string;
title?: string;
}

#### Type declaration

- ##### `Optional` assemblyId?: string

- ##### entryId: string

- ##### `Optional` subtitle?: string

- ##### `Optional` title?: string

- Defined in RcsbFv3D/RcsbFv3DAssembly.tsx:27

### `Optional` cssConfig

cssConfig?: RcsbFv3DCssConfig

- Defined in RcsbFv3D/RcsbFv3DAssembly.tsx:37

### `Optional` elementId

elementId?: string

- Defined in RcsbFv3D/RcsbFv3DAssembly.tsx:26

### `Optional` instanceSequenceConfig

instanceSequenceConfig?: InstanceSequenceConfig

- Defined in RcsbFv3D/RcsbFv3DAssembly.tsx:34

### `Optional` molstarProps

molstarProps?: Partial<ViewerProps>

- Defined in RcsbFv3D/RcsbFv3DAssembly.tsx:36

### `Optional` useOperatorsFlag

useOperatorsFlag?: boolean

- Defined in RcsbFv3D/RcsbFv3DAssembly.tsx:35

Generated using TypeDoc